Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui.table
Class ActionRenderer

    java.lang.Object
      org.ka2ddo.yaac.gui.table.ActionRenderer

All Implemented Interfaces:
  javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.table.TableCellRenderer

    public class ActionRenderer

extends java.lang.Object
implements javax.swing.table.TableCellRenderer, javax.swing.table.TableCellEditor

This class displays a JButton as the rendering of an Action object in a JTable cell. Useful for processing per-row action buttons in a JTable. The methods defined by this class are to comply with the TableCellRenderer and TableCell Editor interfaces, and should only be called by the JTable upon which this renderer is registered as a renderer and editor.

Constructor Summary
`ActionRenderer()`

Method Summary
`void` | `addCellEditorListener(javax.swing.event.CellEditorListener l)` Adds a listener to the list that's notified when the editor stops, or cancels editing.
`void` | `cancelCellEditing()` Tells the editor to cancel editing and not accept any partially edited value.
`java.lang.Object` | `getCellEditorValue()` Returns the value contained in the editor.
`java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)` Sets an initial `value` for the editor.
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)` Returns the component used for drawing the cell.
`boolean` | `isCellEditable(java.util.EventObject anEvent)` Asks the editor if it can start editing using `anEvent`.
`void` | `removeCellEditorListener(javax.swing.event.CellEditorListener l)` Removes a listener from the list that's notified
`boolean` | `shouldSelectCell(java.util.EventObject anEvent)` Returns true if the editing cell should be selected, false otherwise.
`boolean` | `stopCellEditing()` Tells the editor to stop editing and accept any partially edited value as the value of the editor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionRenderer

    public ActionRenderer()

Method Detail

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean hasFocus,
                                                            int row,
                                                            int column)

  Returns the component used for drawing the cell. This method is used to configure the renderer appropriately before drawing.

  Specified by:
    `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`
  Parameters:
    `table` - the `JTable` that is asking the renderer to draw; can be `null`
    `value` - the value of the cell to be rendered. It is up to the specific renderer to interpret and draw the value. For example, if `value` is the string "true", it could be rendered as a string or it could be rendered as a check box that is checked. `null` is a valid value
    `isSelected` - true if the cell is to be rendered with the selection highlighted; otherwise false
    `hasFocus` - if true, render cell appropriately. For example, put a special border on the cell, if the cell can be edited, render in the color used to indicate editing
    `row` - the row index of the cell being drawn. When drawing the header, the value of `row` is -1
    `column` - the column index of the cell being drawn

### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int column)

  Sets an initial `value` for the editor. This will cause the editor to `stopEditing` and lose any partially edited value if the editor is editing when this method is called.

  Returns the component that should be added to the client's `Component` hierarchy. Once installed in the client's hierarchy this component will then be able to draw and receive user input.

  Specified by:
    `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`
  Parameters:
    `table` - the `JTable` that is asking the editor to edit; can be `null`
    `value` - the value of the cell to be edited; it is up to the specific editor to interpret and draw the value. For example, if value is the string "true", it could be rendered as a string or it could be rendered as a check box that is checked. `null` is a valid value
    `isSelected` - true if the cell is to be rendered with highlighting
    `row` - the row of the cell being edited
    `column` - the column of the cell being edited
  Returns:
    the component for editing

### addCellEditorListener

    public void addCellEditorListener(javax.swing.event.CellEditorListener l)

  Adds a listener to the list that's notified when the editor stops, or cancels editing.

  Specified by:
    `addCellEditorListener` in interface `javax.swing.CellEditor`
  Parameters:
    `l` - the CellEditorListener

### cancelCellEditing

    public void cancelCellEditing()

  Tells the editor to cancel editing and not accept any partially edited value.

  Specified by:
    `cancelCellEditing` in interface `javax.swing.CellEditor`

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Returns the value contained in the editor.

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`
  Returns:
    the value contained in the editor

### isCellEditable

    public boolean isCellEditable(java.util.EventObject anEvent)

  Asks the editor if it can start editing using `anEvent`. `anEvent` is in the invoking component coordinate system. The editor can not assume the Component returned by `getCellEditorComponent` is installed. This method is intended for the use of client to avoid the cost of setting up and installing the editor component if editing is not possible. If editing can be started this method returns true.

  Specified by:
    `isCellEditable` in interface `javax.swing.CellEditor`
  Parameters:
    `anEvent` - the event the editor should use to consider whether to begin editing or not
  Returns:
    true if editing can be started
  See Also:
    `shouldSelectCell(java.util.EventObject)`

### removeCellEditorListener

    public void removeCellEditorListener(javax.swing.event.CellEditorListener l)

  Removes a listener from the list that's notified

  Specified by:
    `removeCellEditorListener` in interface `javax.swing.CellEditor`
  Parameters:
    `l` - the CellEditorListener

### shouldSelectCell

    public boolean shouldSelectCell(java.util.EventObject anEvent)

  Returns true if the editing cell should be selected, false otherwise.

  Specified by:
    `shouldSelectCell` in interface `javax.swing.CellEditor`
  Parameters:
    `anEvent` - the event the editor should use to start editing
  Returns:
    true if the editor would like the editing cell to be selected; otherwise returns false
  See Also:
    `isCellEditable(java.util.EventObject)`

### stopCellEditing

    public boolean stopCellEditing()

  Tells the editor to stop editing and accept any partially edited value as the value of the editor.

  Specified by:
    `stopCellEditing` in interface `javax.swing.CellEditor`
  Returns:
    true if editing was stopped; false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD